close all
x = (0:0.01:10)'; % Universul discutiei este [0,10], in care se definesc puncte cu pasul de 0.1
u1=zmf(x,[3,6]); % prima mf, gaussiana
u2=trapmf(x,[3 5 9 10]);   % a doua mf, triunghiulara
u_intersectie=min(u1,u2);  % calculeaza gradele de aparteneta ale reuniunii prin operatorul "MAX"
hold on
subplot(2,1,1); % imparte fereastra de reprezentare a unei figuri in doua regiunii verticale
                % graficul se afiseaza in fereastra de sus
plot (x,u1,'r','LineWidth',1.5);hold on
plot (x,u2,'m','LineWidth',1.5); hold off
axis([0 10 0 1.05]);
legend ('A','B');
title('Multimile fuzzy A si B')
subplot (2,1,2) % se va afisa in fereastra de jos
plot(x, u_intersectie,'color','b','linewidth',2)
legend ('A intersectat cu B');
axis([0 10 0 1.05]);
title('Rezultatul intersectiei')
set(gcf, 'name', 'Intersectia multimilor fuzzy A si B - operatorul "max"', 'numbertitle', 'off'); % numele ferestrei
