close all
x = (0:0.01:10)'; % Universul discutiei este [0,10], in care se definesc puncte cu pasul de 0.1
u1=gaussmf(x,[1,4]); % mf, gaussiana

u_complement=1-u1;  % calculeaza gradele de aparteneta ale complementului"
hold on
subplot(2,1,1); % imparte fereastra de reprezentare a unei figuri in doua regiunii verticale
                % graficul se afiseaza in fereastra de sus
plot (x,u1,'r','LineWidth',1.5);
axis([0 10 0 1.05]);
legend ('A');
title('Multimea fuzzy A')
subplot (2,1,2) % se va afisa in fereastra de jos
plot(x, u_complement,'color','b','linewidth',2)
axis([0 10 0 1.05]);
title('Rezultatul complementului')
set(gcf, 'name', 'Complementul multimii fuzzy A', 'numbertitle', 'off'); % numele ferestrei
